const mongoose = require('mongoose');

const CounterSchema = new mongoose.Schema({
    counterName: {
        type: Number,
        required: true,
    },
    content: {
        type: String,
        default: null,
    },
    currentToken: {
        type: mongoose.Schema.Types.ObjectId,
        default: null,
    },
    createdAt: {
        type: Date,
        default: Date.now(),
    },
    updatedAt: {
        type: Date,
        default: Date.now(),
    },
    active: {
        type: Boolean,
        default: true,
    },
    assignedUser: {
        type: mongoose.Schema.Types.ObjectId,
        ref: 'User', // Reference to User model
        default: null,
    },
    userDetails: [{
        type: mongoose.Schema.Types.ObjectId,
        ref: 'User', // Reference to User model
        default: [],
    }]
});

module.exports = mongoose.model('Counter', CounterSchema);
