const mongoose = require('mongoose');

const UserSchema = new mongoose.Schema({
    name: {
        type: String,
        default: null,
    },
    email: {
        type: String,
        required: true,
    },
    password: {
        type: String,
        required: true,
    },
    role: {
        type: String,
        default: null,
    },
    active: {
        type: Boolean,
        default: true,
    },
    assignedCounter: {
        type: mongoose.Schema.Types.ObjectId,
        ref: 'Counter', // Reference to Counter model
        default: null,
    },
    counterDetails: [{
        type: mongoose.Schema.Types.ObjectId,
        ref: 'Counter', // Reference to Counter model
        default: [],
    }]
});

module.exports = mongoose.model('User', UserSchema);
