//route.js
const express = require("express");
const router = express.Router();
const tokenController = require("../controllers/tokenController");
const counterController = require("../controllers/counterController");
const userController = require("../controllers/userController");

router.post("/token/generate", tokenController.generateToken);
router.post("/counter/next", counterController.nextToken);
// router.get("/token/tokendata", tokenController.getTokenData);
router.get("/token/displaydata", tokenController.getDisplayData);
router.post("/counter/get-current-token", counterController.getCurrentToken);
router.get("/counter/getall", counterController.getAllCounters);
router.get("/getAllTokens", tokenController.getAllTokens);
// login api

router.post("/login", userController.login);

// create user and counter 

router.post("/createUsers", userController.createUser);
router.post("/createCounter", counterController.createCounter);

// fetch all user and counter 

router.get("/getAllusers", userController.getAllUsers);
router.get("/getAllcounters", counterController.getAllCounters);

// singel counter and user get

router.get("/getCounterById/:id", counterController.getCounterById);
router.get("/getUserById/:id", userController.getUserById);
router.get("/getCounterByUserid/:id", counterController.getCounterByUserid);

// single counter and user delete 

router.delete("/deleteUserById/:id", userController.deleteUserById);
router.delete("/deleteCounterById/:id", counterController.deleteCounterById);

// update user and counter

router.put("/updateUserById/:id", userController.updateUserById);
router.put("/updateCounterById/:id", counterController.updateCounterById);

router.get("/getallcounter2", counterController.getAllCounters2);



module.exports = router;
